<?php
/**
 * Relation Controller for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "Controller relation <br />";

/**
 * Book Controller
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class BooksControllerRelation extends BooksController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'add' );
	}

	/**
	 * display the edit form
	 * @return void
	 */
	function edit()
	{
		JRequest::setVar( 'view', 'relation' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('relation');

		if ($model->store($post)) {
			$msg = JText::_( 'Relation Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Relation' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$link = 'index.php?option=com_book&task=relation';
		$this->setRedirect($link, $msg);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		$model = $this->getModel('relation');
		if(!$model->delete()) {
			$msg = JText::_( 'Error: One or More Relations Could not be Deleted' );
		} else {
			$msg = JText::_( 'Relation(s) Deleted' );
		}

		$this->setRedirect( 'index.php?option=com_book', $msg );
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_book', $msg );
	}
}