<?php
/**
 * Relation for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "Models Relation <br />";

jimport('joomla.application.component.model');

/**
 * Book Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class BooksModelRelation extends JModel
{
	/**
	 * Constructor that retrieves the ID from the request
	 *
	 * @access	public
	 * @return	void
	 */
	function __construct()
	{
		parent::__construct();

		$array = JRequest::getVar('cid',  0, '', 'array');
		$this->setId((int)$array[0]);
	}

	/**
	 * Method to set the book identifier
	 *
	 * @access	public
	 * @param	int Book identifier
	 * @return	void
	 */
	function setId($idr)
	{
		// Set id and wipe data
		$this->_idr			= $idr;
		$this->_data		= null;
		$this->_data->idr 	= null;
		$this->_data->idb 	= null;
		$this->_data->datej	= null;
	}

	/**
	 * Method to get a book
	 * @return object with data
	 */
	function &getData()
	{
		// Load the data
		if (empty( $this->_data )) {
			$query = "SELECT r.imgtitle, b.author, b.title, b.collection, b.editor, b.identifiant, b.location "
			."\n FROM (jos_relation AS l RIGHT JOIN jos_garycoobook AS r ON l.idr = a.id)"
			."\n RIGHT JOIN jos_book AS b ON l.idb = b.id "
			."\n ORDER BY r.imgtitle;";
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();
		}
		if (!$this->_data) {
			$this->_data = new stdClass();
			$this->_data->idr = 0;
			$this->_data->idb = 0;
			$this->_data->id_datej = NOW();
			$this->setRecipes;
			$this->setBooks;			
		}
		return $this->_data;
	}

	function setRecipes()
	{
		// Load the data
		$query = ' SELECT #__garyscookbook.id as id, imgtitle, flag_book'
				.' FROM #__garyscookbook '
				.' WHERE flag_book = "0"';
		$this->_db->setQuery( $query );
		$this->_data->recipes = $this->_db->loadObject();
	}

	function setBook()
	{
		// Load the data
		$query = ' SELECT #__book.id as id_book, FROM #__book '
		        .'  WHERE publish = "1" ';
		$this->_db->setQuery( $query );
		$this->_data->book = $this->_db->loadObject();

	/**
	 * Method to store a record
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function store()
	{	
		$row =& $this->getTable('relation');

		$data = JRequest::get( 'post' );
		dump($data, 'post');

		// Bind the form fields to the book table
		if (!$row->bind($data)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Make sure the book record is valid
		if (!$row->check()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		// Store the web link table to the database
		if (!$row->store()) {
			$this->setError( $row->getErrorMsg() );
			return false;
		}

		return true;
	}

	/**
	 * Method to delete record(s)
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );

		$row =& $this->getTable();

		if (count( $cids )) {
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}
		}
		return true;
	}

}