<?php
/**
 * Relations Model for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "Models Relations <br />";

jimport( 'joomla.application.component.model' );

/**
 * Relation Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class BooksModelRelations extends JModel
{
	/**
	 * Relations data array
	 *
	 * @var array
	 */
	var $_data;


	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{
		$query = 'SELECT m.*, a.*, b.*
				FROM #__relation AS m
				INNER JOIN #__garyscookbook AS a
				ON m.idr = a.id
				INNER JOIN #__book AS b
				ON m.idb = b.id
					WHERE m.userid = ('.$user->id.')
					AND a.published = 1
					AND a.nowebsr = 0
					AND b.published = 1
					ORDER BY b.ordering, imgtitle
					LIMIT 0 , 100';

		        $tl_title = JText::_('My Relations');


		return $query;
	}

	/**
	 * Retrieves the book data
	 * @return array Array of objects containing the data from the database
	 */
	function getData()
	{
		// Lets load the data if it doesn't already exist
		if (empty( $this->_data ))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList( $query );
		}

		return $this->_data;
	}
}
